Package ghidra.program.util

# Class LinearDataAddressCorrelation

java.lang.Object
ghidra.program.util.LinearDataAddressCorrelation

All Implemented Interfaces:
  `AddressCorrelation`

public class LinearDataAddressCorrelation extends Object implements AddressCorrelation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinearDataAddressCorrelation(Data sourceData, Data destinationData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressCorrelationRange`
  `getCorrelatedDestinationRange(Address sourceAddress, TaskMonitor monitor)`
  Returns the AddressRange of a set of addresses in the destination program that correlates to corresponding range in the source program.
  `String`
  `getName()`
  This method is no longer part of the API.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LinearDataAddressCorrelation

    public LinearDataAddressCorrelation(Data sourceData, Data destinationData)

- ## Method Details

  - ### getCorrelatedDestinationRange

    public AddressCorrelationRange getCorrelatedDestinationRange(Address sourceAddress, TaskMonitor monitor) throws CancelledException
    Description copied from interface: `AddressCorrelation`
    Returns the AddressRange of a set of addresses in the destination program that correlates to corresponding range in the source program.
    Specified by:
      `getCorrelatedDestinationRange` in interface `AddressCorrelation`
    Parameters:
      `sourceAddress` - the source program address
      `monitor` - the task monitor
    Returns:
      the destination program address range, or null if there is not address range mapped
    Throws:
      `CancelledException` - if cancelled

  - ### getName

    public String getName()
    Description copied from interface: `AddressCorrelation`
    This method is no longer part of the API. Leaving a default implementation to reduce breaking clients.
    Specified by:
      `getName` in interface `AddressCorrelation`
    Returns:
      the simple class name of the implementing class